include ../../../layout/components/inputErrors

div#modal-parecer-restricao
	div.modal-header

		button.close(type='button', ng-click="modalCtrl.cancelar()")
			span(aria-hidden='true') ×
			span.sr-only Fechar

		h3.modal-title Parecer de restrição geográfica

	div.modal-body

		div(growl inline="true", reference="2")

		div
			label.not-bold.margin-right-xs(for="origem") Origem: 
			span#origem
				strong {{modalCtrl.restricao.feature.properties.descricaoLayer}} ({{modalCtrl.restricao.feature.properties.descricao}})
		div
			label.not-bold.margin-right-xs(for="texto_nome_empreendimento") Restrição: 
			span#texto_nome_empreendimento
				strong {{modalCtrl.tratarRestricao(modalCtrl.restricao.feature.properties)}}

		div#mapa-parecer-restricao


		form(name='formParecerRestricaoGeo')
			.form-group.title-textarea
				label.not-bold Parecer de restrição geo:
				textarea.form-control(name='parecerText', ng-model='modalCtrl.parecer' , ng-disabled='!(modalCtrl.nomePagina == "PARECER TÉCNICO")' ,required)
			+inputErrors('formParecerRestricaoGeo', 'parecerText', 'required')

	div.modal-footer#footer-modal

		button.btn.btn-default.pull-left(ng-click="modalCtrl.cancelar()", ng-if='modalCtrl.nomePagina == "PARECER TÉCNICO"')
			i.glyphicon.glyphicon-remove
			| &nbsp;Cancelar
		button.btn.btn-success.pull-right(type="submit" ng-click="modalCtrl.confirmarParecer()", ng-if='modalCtrl.nomePagina == "PARECER TÉCNICO"')
			i.glyphicon.glyphicon-ok
			| &nbsp;Confirmar parecer
		button.btn.btn-error.pull-right(ng-show='modalCtrl.codigoCamada && modalCtrl.nomePagina == "PARECER TÉCNICO"', type="submit" ng-click="modalCtrl.excluirParecer(modalCtrl.codigoCamada)")
			i.glyphicon.glyphicon-trash
			| &nbsp;Excluir parecer
		button.btn.btn-default.pull-left(ng-if='!(modalCtrl.nomePagina == "PARECER TÉCNICO")',ng-click="modalCtrl.cancelar()")
			i.glyphicon.glyphicon-remove
			| &nbsp;Fechar